## org.gnu.gtk
Class ReliefStyle

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.ReliefStyle

public class ReliefStyle
extends org.gnu.glib.Enum

The reliefStyle is used by a number of widgets, such as Button. All methods of this calss are for internal use only. The developer uses ReliefStyle in the following manner:
`Button.setReliefStyle( ReliefStyle.HALF );` todo...

Field Summary
`static ReliefStyle` `HALF`
`static ReliefStyle` `NONE`
`static ReliefStyle` `NORMAL`

Method Summary
`ReliefStyle` `and(ReliefStyle other)`
`static ReliefStyle` `intern(int value)`
`ReliefStyle` `or(ReliefStyle other)`
`boolean` `test(ReliefStyle other)`
`ReliefStyle` `xor(ReliefStyle other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final ReliefStyle NORMAL

### HALF

    public static final ReliefStyle HALF

### NONE

    public static final ReliefStyle NONE

Method Detail

### intern

    public static ReliefStyle intern(int value)

### or

    public ReliefStyle or(ReliefStyle other)

### and

    public ReliefStyle and(ReliefStyle other)

### xor

    public ReliefStyle xor(ReliefStyle other)

### test

    public boolean test(ReliefStyle other)